CodingErrorAction (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.charset, class: CodingErrorAction
Keywords: java.nio.charset.CodingErrorAction class

Module java.base
Package java.nio.charset

# Class CodingErrorAction

java.lang.Object
java.nio.charset.CodingErrorAction

    public class CodingErrorAction
    extends Object

A typesafe enumeration for coding-error actions.

Instances of this class are used to specify how malformed-input and unmappable-character errors are to be handled by charset decoders and encoders.

Since:
  1.4

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static CodingErrorAction` | `IGNORE` | Action indicating that a coding error is to be handled by dropping the erroneous input and resuming the coding operation.
  `static CodingErrorAction` | `REPLACE` | Action indicating that a coding error is to be handled by dropping the erroneous input, appending the coder's replacement value to the output buffer, and resuming the coding operation.
  `static CodingErrorAction` | `REPORT` | Action indicating that a coding error is to be reported, either by returning a `CoderResult` object or by throwing a `CharacterCodingException`, whichever is appropriate for the method implementing the coding process.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `toString()` | Returns a string describing this action.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### IGNORE

    public static final CodingErrorAction IGNORE
    Action indicating that a coding error is to be handled by dropping the erroneous input and resuming the coding operation.

  - ### REPLACE

    public static final CodingErrorAction REPLACE
    Action indicating that a coding error is to be handled by dropping the erroneous input, appending the coder's replacement value to the output buffer, and resuming the coding operation.

  - ### REPORT

    public static final CodingErrorAction REPORT
    Action indicating that a coding error is to be reported, either by returning a `CoderResult` object or by throwing a `CharacterCodingException`, whichever is appropriate for the method implementing the coding process.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string describing this action.
    Overrides:
      `toString` in class `Object`
    Returns:
      A descriptive string